Cyberduck Mountain Duck CLI

#6334 closed defect (fixed)

Windows build 9092 crashes upon opening Transfers window

Reported by: bleszynski Owned by: yla
Priority: highest Milestone: 4.3
Component: interface Version: Nightly Build
Severity: blocker Keywords:
Cc: bleszynski@… Architecture: Intel
Platform: Windows 7

Description (last modified by bleszynski)

Opening the Transfers window by clicking the Transfers menu icon immediately crashes Cyberduck 9092 (4.1.4).

Starting any transfer also crashes Cyberduck, probably because Cyberduck tries to open the Transfers window to display progress.

Cyberduck 9045 (4.1.3) is not affected by this issue.

I am running Windows XP SP3 with the following .NET runtimes installed:

1.1.4322.2490 2.0.50727.3625 3.0.4506.3636 4.0.30319.239

Attachments (4)

634633525476250000.txt (3.7 KB) - added by bleszynski on Jan 28, 2012 at 9:16:46 PM.
634633525478125000.txt (4.1 KB) - added by bleszynski on Jan 28, 2012 at 9:17:15 PM.
winxpevent01.txt (1.8 KB) - added by bleszynski on Jan 30, 2012 at 10:24:58 PM.
windows xp event 1
winxpevent02.txt (2.0 KB) - added by bleszynski on Jan 30, 2012 at 10:25:23 PM.
windows xp event 2

Download all attachments as: .zip

Change History (17)

comment:1 Changed on Oct 31, 2011 at 12:57:30 AM by bleszynski

  • Description modified (diff)

comment:2 Changed on Oct 31, 2011 at 2:21:34 AM by bleszynski

  • Component changed from core to interface
  • Owner set to dkocher

comment:3 Changed on Nov 6, 2011 at 11:51:58 AM by dkocher

  • Milestone set to 4.1.4

comment:4 Changed on Nov 6, 2011 at 2:03:56 PM by yla

Cannot reproduce the issue. Please post all available crash reports.

comment:5 Changed on Nov 7, 2011 at 2:00:24 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Changed on Jan 28, 2012 at 9:16:46 PM by bleszynski

Changed on Jan 28, 2012 at 9:17:15 PM by bleszynski

comment:6 Changed on Jan 28, 2012 at 9:22:31 PM by bleszynski

  • Cc bleszynski@… added
  • Resolution worksforme deleted
  • Status changed from closed to reopened

The issue persists in 4.2.1 (9350)

The attached crash logs indicate a problem with the gui. Is it possible that the gui is positioned in a way that crashes >4.1.3? If so, how can the GUI be reset to defaults without losing bookmarks?

The problem goes away when I roll back to 4.1.3.

comment:7 Changed on Jan 28, 2012 at 9:35:47 PM by bleszynski

I found a workaround which does not delete bookmarks but unfortunately deletes saved passwords.

  1. Delete or rename C:\Documents and Settings\USERNAME\Application Data\Cyberduck\Cyberduck.exe_Url_ourpw1i1uihyyu2cpvi02kp52zaghxpg
  1. Reinstall Cyberduck.

Cyberduck no longer crashes whenever the Transfers window opens.

Enabling and using the "Clean up" icon in the Transfers window seems to crash the UI. I will try to test this later.

Last edited on Jan 28, 2012 at 9:57:15 PM by bleszynski (previous) (diff)

Changed on Jan 30, 2012 at 10:24:58 PM by bleszynski

windows xp event 1

Changed on Jan 30, 2012 at 10:25:23 PM by bleszynski

windows xp event 2

comment:8 Changed on Feb 23, 2012 at 6:15:14 PM by dkocher

  • Milestone changed from 4.2 to 4.3
  • Owner changed from dkocher to yla
  • Status changed from reopened to new

comment:9 Changed on Aug 21, 2012 at 11:38:31 AM by yla

In r9640. Thanks for reporting this.

comment:10 Changed on Aug 21, 2012 at 11:38:42 AM by yla

  • Resolution set to fixed
  • Status changed from new to closed

comment:11 Changed on Sep 26, 2012 at 4:49:46 PM by dkocher

  • Milestone changed from 4.3 to 4.2.2

comment:12 Changed on Apr 24, 2014 at 5:29:28 PM by ebonweaver

  • Platform changed from Windows XP to Windows 7
  • Priority changed from normal to highest
  • Resolution fixed deleted
  • Severity changed from normal to blocker
  • Status changed from closed to reopened

Version 4.4.4 has apparently re-introduced this issue. File transfer is impossible, which rather cripples the purpose of the application, as it crashes on all attempts. Attempting to open the transfer window results in a crash as well. Reverting to 4.4.3 resolves this issue (although that suffers the defect of the auth window always appearing behind all other windows). Tested with multiple connections to multiple servers, all over SFTP. Transfer window crashes app with no open connections as well as with open connections.

Problem signature:
  Problem Event Name:	CLR20r3
  Problem Signature 01:	cyberduck.exe
  Problem Signature 02:	4.4.4.14505
  Problem Signature 03:	5359228d
  Problem Signature 04:	Cyberduck
  Problem Signature 05:	4.4.4.14505
  Problem Signature 06:	5359228d
  Problem Signature 07:	da1
  Problem Signature 08:	0
  Problem Signature 09:	System.NullReferenceException
  OS Version:	6.1.7601.2.1.0.256.4
  Locale ID:	1033
  Additional Information 1:	0a9e
  Additional Information 2:	0a9e372d3b4ad19135b953a78882e789
  Additional Information 3:	0a9e
  Additional Information 4:	0a9e372d3b4ad19135b953a78882e789
Last edited on Apr 24, 2014 at 7:05:24 PM by dkocher (previous) (diff)

comment:13 Changed on Apr 28, 2014 at 12:36:54 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

Please open a new ticket and include the file cyberduck.log in the application support directory.

Note: See TracTickets for help on using tickets.
swiss made software